package com.iamberry.wechat.face.apparatus;

import com.iamberry.wechat.core.entity.apparatus.Apparatus;
import com.iamberry.wechat.core.entity.member.Member;

import java.util.List;

/**
 * Created by liuzhiwei on 2017/12/28.
 */
public interface ApparatusService {

    /**
     * 分页查询机器列表
     * @param apparatus
     * @return
     */
    List<Apparatus> listApparatusPage(Apparatus apparatus);

    /**
     * 添加机器信息
     * @param apparatus
     * @return
     */
    Integer addApparatus(Apparatus apparatus);

    /**
     * 注册会员
     * @param apparatus
     * @return
     */
    boolean registerMember(Apparatus apparatus, Member member);
}
