package com.iamberry.wechat.core.entity.integral;

import javax.xml.crypto.Data;
import java.io.Serializable;

/**
 * 积分使用实体类
 */
public class UseIntegral implements Serializable {

    private static final long serialVersionUID = 8060941187906868547L;
    private Integer useIntegralId;          //ID
    private String userOpenId;              //用户openid
    private Integer useType;                //积分类型
    private Integer useIntegralType;        //使用积分类型
    private Integer useIntegralNumber;      //使用积分数量
    private Integer useConfigId;             //积分来源类型
    private String useIntegralRemarks;      //备注
    private Data useIntegralCreateTime;     //创建时间

    public UseIntegral() {
    }

    public UseIntegral(Integer useIntegralId, String userOpenId,
                       Integer useType, Integer useIntegralType,
                       Integer useIntegralNumber, Integer useConfigId,
                       String useIntegralRemarks, Data useIntegralCreateTime) {
        this.useIntegralId = useIntegralId;
        this.userOpenId = userOpenId;
        this.useType = useType;
        this.useIntegralType = useIntegralType;
        this.useIntegralNumber = useIntegralNumber;
        this.useConfigId = useConfigId;
        this.useIntegralRemarks = useIntegralRemarks;
        this.useIntegralCreateTime = useIntegralCreateTime;
    }

    public Integer getUseIntegralId() {
        return useIntegralId;
    }

    public void setUseIntegralId(Integer useIntegralId) {
        this.useIntegralId = useIntegralId;
    }

    public String getUserOpenId() {
        return userOpenId;
    }

    public void setUserOpenId(String userOpenId) {
        this.userOpenId = userOpenId;
    }

    public Integer getUseType() {
        return useType;
    }

    public void setUseType(Integer useType) {
        this.useType = useType;
    }

    public Integer getUseIntegralType() {
        return useIntegralType;
    }

    public void setUseIntegralType(Integer useIntegralType) {
        this.useIntegralType = useIntegralType;
    }

    public Integer getUseIntegralNumber() {
        return useIntegralNumber;
    }

    public void setUseIntegralNumber(Integer useIntegralNumber) {
        this.useIntegralNumber = useIntegralNumber;
    }

    public Integer getUseConfigId() {
        return useConfigId;
    }

    public void setUseConfigId(Integer useConfigId) {
        this.useConfigId = useConfigId;
    }

    public String getUseIntegralRemarks() {
        return useIntegralRemarks;
    }

    public void setUseIntegralRemarks(String useIntegralRemarks) {
        this.useIntegralRemarks = useIntegralRemarks;
    }

    public Data getUseIntegralCreateTime() {
        return useIntegralCreateTime;
    }

    public void setUseIntegralCreateTime(Data useIntegralCreateTime) {
        this.useIntegralCreateTime = useIntegralCreateTime;
    }

    @Override
    public String toString() {
        return "UseIntegral{" +
                "useIntegralId=" + useIntegralId +
                ", userOpenId='" + userOpenId + '\'' +
                ", useType=" + useType +
                ", useIntegralType=" + useIntegralType +
                ", useIntegralNumber=" + useIntegralNumber +
                ", useConfigid=" + useConfigId +
                ", useIntegralRemarks='" + useIntegralRemarks + '\'' +
                ", useIntegralCreateTime=" + useIntegralCreateTime +
                '}';
    }
}
