package com.iamberry.wechat.face.integral;

import com.iamberry.wechat.core.entity.integral.IntegralConfig;
import com.iamberry.wechat.core.entity.integral.UseIntegral;

import java.util.List;

public interface UseIntegralService {
    /**
     * 积分使用日志
     * @param openid
     * @return
     */
    List<UseIntegral> getUseIntegral(String openid);

    /**
     * 总积分（使用）
     * @param openid
     * @return
     */
    int allUseIntegral(String openid);

    /**
     * 查询积分来源信息
     * @param integralConfig
     * @return
     */
    List<IntegralConfig> listIntegralConfig(IntegralConfig integralConfig);
}
