package com.iamberry.wechat.service.apparatus;

import com.iamberry.wechat.core.entity.apparatus.Apparatus;
import com.iamberry.wechat.core.entity.member.Member;
import com.iamberry.wechat.face.apparatus.ApparatusService;
import com.iamberry.wechat.service.mapper.ApparatusMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by liuzhiwei on 2017/12/28.
 */
@Service
public class ApparatusServiceImpl implements ApparatusService {

    @Autowired
    private ApparatusMapper apparatusMapper;

    @Override
    public List<Apparatus> listApparatusPage(Apparatus apparatus) {
        return apparatusMapper.listApparatusPage(apparatus);
    }

    @Override
    public Integer addApparatus(Apparatus apparatus) {
        return apparatusMapper.addApparatus(apparatus);
    }

    @Override
    public boolean registerMember(Apparatus apparatus, Member member) {
        //添加机器信息
        int num = apparatusMapper.addApparatus(apparatus);
        return true;
    }
}
